> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/api/v1/groups/{groupId}/users

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/api/v1/groups/{groupId}/users
```

where `{groupId}` is the ID of a group.

## Supported methods and overview&#x20;

* `GET` - used to retrieve a list of field information for all [Covata users](/2.16/admin/administering-users.md) who are members of an existing [group](/2.16/admin/managing-groups.md), based on the group's ID.

> [!NOTE]
>
> This method takes no parameters.

## Detailed description&#x20;

This API endpoint retrieves a list of field information for all Covata users who are members of the group whose ID is specified in the URL of this endpoint.

A group's ID can be obtained by calling the `GET` method of the [\<access-service>/api/v1/groups](/2.16/api/access-service-api-v1-groups.md) API endpoint, which retrieves a list of field information for all existing groups on the Covata Platform.

## Supported roles&#x20;

This API endpoint supports the following Covata user [roles](/2.16/admin/administering-users.md#a-users-roles) (as described in the [Covata Platform Administrator's Guide](/2.16/admin.md)):

* [System administrator](/2.16/admin/administering-users.md#system-administrator-role)

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the [header](/2.16/api/access-service-api-v1-groups-groupid-users.md#access-service-api-v1-groups-groupid-users-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6`

## Returns&#x20;

A JSON-formatted response containing the following members:

* **items** - .

  * **email** - .
  * **firstName** - .
  * **lastName** - .
  * **id** - .
* **count** - .
* **offset** - .

  **Example (response from ...):**


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.